Addressbook 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes
a__address Class Reference

An address information item. More...

`#include <address.h>`

List of all members.

## Public Attributes
std::string | name
| Element name of type xs:string.
std::string | street
| Element street of type xs:string.
std::string | city
| Element city of type xs:string.
std::string | zip
| Element zip of type xs:string.
enum a__ISO_country | country = a__ISO_country__us
| Element country of type "":ISO-country.
std::string * | phone
| Element phone of type xs:string.
std::string * | mobile
| Element mobile of type xs:string.
time_t * | dob
| Element dob of type xs:dateTime.
int | ID
| Attribute ID of type xs:int.
struct soap * | soap
| A handle to the soap struct that manages this instance (automatically set)

## Detailed Description

An address information item.

"urn:address-book-example":address is a complexType.

Definition at line 177 of file address.h.

## Member Data Documentation

std::string a__address::city

Element city of type xs:string.

Required element.

Definition at line 184 of file address.h.

enum a__ISO_country a__address::country = a__ISO_country__us

Element country of type "":ISO-country.

Default value="us".

Definition at line 188 of file address.h.

time_t* a__address::dob

Element dob of type xs:dateTime.

Nullable pointer.

Definition at line 194 of file address.h.

int a__address::ID

Attribute ID of type xs:int.

Required attribute.

Definition at line 196 of file address.h.

std::string* a__address::mobile

Element mobile of type xs:string.

Nullable pointer.

Definition at line 192 of file address.h.

std::string a__address::name

Element name of type xs:string.

Required element.

Definition at line 180 of file address.h.

std::string* a__address::phone

Element phone of type xs:string.

Nullable pointer.

Definition at line 190 of file address.h.

struct soap* a__address::soap

A handle to the soap struct that manages this instance (automatically set)

Definition at line 198 of file address.h.

std::string a__address::street

Element street of type xs:string.

Required element.

Definition at line 182 of file address.h.

std::string a__address::zip

Element zip of type xs:string.

Required element.

Definition at line 186 of file address.h.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/samples/databinding/address.h